Debian Bug report logs - #730768
[uscan] Allow a different compression scheme when repacking upstream tarballs

version graph

Package: devscripts; Maintainer for devscripts is Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>; Source for devscripts is src:devscripts.

Reported by: Rafael Laboissiere <rafael@laboissiere.net>

Date: Fri, 29 Nov 2013 11:39:02 UTC

Severity: wishlist

Tags: patch, pending

Merged with 687419

Found in versions devscripts/2.10.69+squeeze2, devscripts/2.10.69, devscripts/2.13.4

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>:
Bug#730768; Package devscripts. (Fri, 29 Nov 2013 11:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Laboissiere <rafael@laboissiere.net>:
New Bug report received and forwarded. Copy sent to Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>. (Fri, 29 Nov 2013 11:39:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@laboissiere.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Andreas Tille <tille@debian.org>
Subject: [uscan] Allow a different compression scheme when repacking upstream tarballs
Date: Fri, 29 Nov 2013 12:09:19 +0100
[Message part 1 (text/plain, inline)]
Package: devscripts
Version: 2.13.4
Severity: wishlist
Tags: patch

Please, find enclosed below a patch for allowing uscan to use a different 
compression scheme when repacking upstream tarballs.  The patch should 
apply cleanly to the master branch of the Git repository, as today.

The changes introduced by this patch were originally done by Andreas 
Tille <tille@debian.org> and were discussed in the context of Bug#685787. 
I just merged the relevant changes from Andreas' private Git repository 
into the master branch of the Git repository of devscripts.

The --repack-compression option of uscan accepts now an argument that 
indicates the type of the compression that will be used when repacking the 
upstream tarball, either because there are files listed in the 
Files-Excluded field of debian/copyright or because the --repack option 
was given and there is need for repacking. The current alternatives are 
gz, bz, xz, and lzma.

The documentation in scripts/uscan.1 has been changed accordingly and 
the test in test/test_uscan has been extended to exercise the option 
--repack-compression=xz, which will repack the gz upstream tarball 
using xz.  For that to work, a build-dependency on xz-utils has also 
been added.

Best regards,

Rafael Laboissiere

-- Package-specific info:

--- /etc/devscripts.conf ---

--- ~/.devscripts --- 
USCAN_VERBOSE=yes

-- System Information: 
Debian Release: jessie/sid 
   APT prefers testing 
   APT policy: (650, 'testing'), (600, 'unstable'), (550, 'stable'), (500, 'experimental') 
Architecture: i386 (i686)

Kernel: Linux 3.10-rc7-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages devscripts depends on: 
ii  dpkg-dev     1.16.12 
ii  libc6        2.17-93 
ii  perl         5.18.1-4 
ii  python3      3.3.2-17 
pn  python3:any  <none>

Versions of packages devscripts recommends: 
ii  at                        3.1.14-1 
ii  curl                      7.33.0-1 
ii  dctrl-tools               2.23 
ii  debian-keyring            2013.07.31 
ii  dput                      0.9.6.4 
ii  dupload                   2.7.0 
ii  equivs                    2.0.9 
ii  fakeroot                  1.18.4-2 
ii  gnupg                     1.4.15-1.1 
ii  libcrypt-ssleay-perl      0.58-1+b1 
ii  libdistro-info-perl       0.11 
ii  libencode-locale-perl     1.03-1 
pn  libjson-perl              <none> 
pn  libparse-debcontrol-perl  <none> 
ii  libsoap-lite-perl         0.716-1 
ii  liburi-perl               1.60-1 
ii  libwww-perl               6.05-1 
ii  lintian                   2.5.19 
ii  man-db                    2.6.5-2 
ii  patch                     2.7.1-4 
ii  patchutils                0.3.2-3 
ii  python3-debian            0.1.21+nmu2 
ii  python3-magic             1:5.14-2 
ii  sensible-utils            0.0.9 
ii  strace                    4.5.20-2.3 
ii  unzip                     6.0-10 
ii  wdiff                     1.2.1-1 
ii  wget                      1.14.96.38327-2 
ii  xz-utils                  5.1.1alpha+20120614-2

Versions of packages devscripts suggests: 
ii  bsd-mailx [mailx]            8.1.2-0.20131005cvs-1 
ii  build-essential              11.6 
pn  cvs-buildpackage             <none> 
pn  devscripts-el                <none> 
ii  gnuplot                      4.6.4-1 
ii  gpgv                         1.4.15-1.1 
ii  libauthen-sasl-perl          2.1500-1 
ii  libfile-desktopentry-perl    0.07-1 
ii  libnet-smtp-ssl-perl         1.01-3 
ii  libterm-size-perl            0.207-1+b1 
ii  libtimedate-perl             1.2000-1 
ii  libyaml-syck-perl            1.27-2+b1 
ii  mutt                         1.5.21-6.4 
ii  openssh-client [ssh-client]  1:6.4p1-1 
pn  svn-buildpackage             <none> 
ii  w3m                          0.5.3-12

-- no debconf information



[0001-uscan-Allow-a-different-compression-scheme-when-repa.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>:
Bug#730768; Package devscripts. (Tue, 14 Jan 2014 16:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>. (Tue, 14 Jan 2014 16:12:05 GMT) Full text and rfc822 format available.

Message #10 received at 730768@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 730768@bugs.debian.org
Subject: Re: [uscan] Allow a different compression scheme when repacking upstream tarballs
Date: Tue, 14 Jan 2014 17:08:47 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Fri, Nov 29, 2013 at 12:09:19PM +0100, Rafael Laboissiere wrote:
> Package: devscripts
> Version: 2.13.4
> Severity: wishlist
> Tags: patch
> 
> Please, find enclosed below a patch for allowing uscan to use a
> different compression scheme when repacking upstream tarballs.  The
> patch should apply cleanly to the master branch of the Git
> repository, as today.

Feel free to find a patch which applies to the current state of Git

  commit 418128c981768829145034df14469df03e6e7fd0

to simplify your work to approve the patch.

Thanks for maintaining uscan in devscripts

      Andreas.

-- 
http://fam-tille.de
[0002-uscan-Allow-a-different-compression-scheme-when-repa.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from James McCoy <jamessan@debian.org> to control@bugs.debian.org. (Tue, 11 Mar 2014 04:00:05 GMT) Full text and rfc822 format available.

Message sent on to Rafael Laboissiere <rafael@laboissiere.net>:
Bug#730768. (Tue, 11 Mar 2014 04:00:09 GMT) Full text and rfc822 format available.

Message #15 received at 730768-submitter@bugs.debian.org (full text, mbox):

From: James McCoy <jamessan@debian.org>
To: 730768-submitter@bugs.debian.org
Subject: Bug#730768 marked as pending
Date: Tue, 11 Mar 2014 03:57:55 +0000
tag 730768 pending
thanks

Hello,

Bug #730768 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/devscripts.git;a=commitdiff;h=9a6ba47

---
commit 9a6ba47f81c85098fefa8ab6c7f4bbab4770c4bd
Author: Andreas Tille <tille@debian.org>
Date:   Fri Jan 10 17:00:21 2014 +0100

    Allow a different compression scheme when repacking upstream tarballs
    
    The --repack-compression option of uscan accepts now an argument that
    indicates the type of the compression that will be used when repacking
    the upstream tarball, either because there are files listed in the
    Files-Excluded field of debian/copyright or because the --repack
    option was given and there is need for repacking. The current
    alternatives are gz, bz, xz, and lzma.
    
    The documentation in scripts/uscan.1 has been changed accordingly and
    the test in test/test_uscan has been extended to exercise the option
    --repack-compression=xz, which will repack the gz upstream tarball
    using xz.  For that to work, a build-dependency on xz-utils has also
    been added.
    
    Signed-off-by: James McCoy <jamessan@debian.org>

diff --git a/debian/changelog b/debian/changelog
index 1e8aa7d..5ba06b3 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -21,6 +21,10 @@ devscripts (2.14.2) UNRELEASED; urgency=medium
   [ James McCoy ]
   * debcommit: Add hg and bzr support to DEBCOMMIT_SIGN_COMMITS.
 
+  [ Andreas Tille ]
+  * uscan: Allow a different compression scheme when repacking upstream
+    tarballs.  (Closes: #730768)
+
  -- Jakub Wilk <jwilk@debian.org>  Sun, 26 Jan 2014 21:50:35 +0100
 
 devscripts (2.14.1) unstable; urgency=medium



Marked as found in versions devscripts/2.10.69+squeeze2 and devscripts/2.10.69. Request was from Joachim Breitner <nomeata@debian.org> to 687419-submit@bugs.debian.org. (Sun, 16 Mar 2014 11:00:06 GMT) Full text and rfc822 format available.

Merged 687419 730768 Request was from Joachim Breitner <nomeata@debian.org> to 687419-submit@bugs.debian.org. (Sun, 16 Mar 2014 11:00:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:51:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.